Bug 4223 - compilation failure.
compilation failure.
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.2a
x86 Linux
: P3 major
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 09:20 UTC by Abu conteh
Modified: 2006-11-29 06:13 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Abu conteh 2006-11-14 09:20:28 UTC
Compiling smbd/statvfs.c
smbd/statvfs.c: In function `linux_statvfs':
smbd/statvfs.c:40: incompatible types in assignment
make: *** [smbd/statvfs.o] Error 1

Linux kernel: 2.2.16-22smp.
Comment 1 Abu conteh 2006-11-15 06:58:17 UTC
 make test
Using FLAGS =  -O -D_SAMBA_BUILD_  -I/home/abu/samba-3.0.23c/source/iniparser/sr                                             c -Iinclude -I/home/abu/samba-3.0.23c/source/include -I/home/abu/samba-3.0.23c/s                                             ource/tdb  -I. -DHAVE_CONFIG_H  -I/home/abu/samba-3.0.23c/source -D_SAMBA_BUILD_                                             
      LIBS = -lcrypt -lresolv -lresolv -lnsl -ldl
      LDSHFLAGS = -shared -Wl,-Bsymbolic -Wl,--allow-shlib-undefined
      LDFLAGS =
      PIE_CFLAGS =
      PIE_LDFLAGS =
Compiling dynconfig.c
Compiling smbd/vfs.c
Compiling smbd/statvfs.c
smbd/statvfs.c: In function `linux_statvfs':
smbd/statvfs.c:40: incompatible types in assignment
make: *** [smbd/statvfs.o] Error 1
Comment 2 Abu conteh 2006-11-15 06:58:59 UTC
 make test
Using FLAGS =  -O -D_SAMBA_BUILD_  -I/home/abu/samba-3.0.23c/source/iniparser/sr                                             c -Iinclude -I/home/abu/samba-3.0.23c/source/include -I/home/abu/samba-3.0.23c/s                                             ource/tdb  -I. -DHAVE_CONFIG_H  -I/home/abu/samba-3.0.23c/source -D_SAMBA_BUILD_                                             
      LIBS = -lcrypt -lresolv -lresolv -lnsl -ldl
      LDSHFLAGS = -shared -Wl,-Bsymbolic -Wl,--allow-shlib-undefined
      LDFLAGS =
      PIE_CFLAGS =
      PIE_LDFLAGS =
Compiling dynconfig.c
Compiling smbd/vfs.c
Compiling smbd/statvfs.c
smbd/statvfs.c: In function `linux_statvfs':
smbd/statvfs.c:40: incompatible types in assignment
make: *** [smbd/statvfs.o] Error 1
Comment 3 Volker Lendecke 2006-11-16 03:47:28 UTC
Can you please retry with the current SAMBA_3_0 subversion tree? This is fixed I think and will be in 3.0.24. Please re-open the bug if it's still in the current svn.
Comment 4 Abu conteh 2006-11-29 05:47:10 UTC
Download samba-3.0.23d and the problem still remains:

smbd/statvfs.c: In function `linux_statvfs':
smbd/statvfs.c:40: incompatible types in assignment
make: *** [smbd/statvfs.o] Error 1
-----------------------------
Any knowledge when 3.0.24 will be release?
Comment 5 Abu conteh 2006-11-29 05:49:25 UTC
Download 3.0.23d and the problem still remains:

smbd/statvfs.c: In function `linux_statvfs':
smbd/statvfs.c:40: incompatible types in assignment
make: *** [smbd/statvfs.o] Error 1

Any knowledge when 3.0.24 will be release?
Comment 6 Volker Lendecke 2006-11-29 06:13:03 UTC
No idea. If you want a patch for a current production release, then you might want to look at http://us2.samba.org/samba/support/ for commercial support. In terms of Samba Team development, we regard this bug fixed.

Disclaimer: I work for one of the companies there, feel free to pick one close to you.

Volker